/**
 * Decodes a value from base64.
 * @public
 * @param value - The value to decode from base64.
 * @returns The decoded value.
 */
export declare const decodeFromBase64: (base64Value: string) => string | ArrayBuffer;
/**
 * Decodes a value from base64 with a prefix.
 * @remarks Prefixes are: 'str:' for string and 'bin:' for ArrayBuffer.
 * @public
 * @param value - The value to decode from base64.
 * @returns The decoded value.
 */
export declare const decodeFromBase64WithPrefix: (value: string) => string | ArrayBuffer;
//# sourceMappingURL=decode.d.ts.map