/**
 * Encodes the given value to base64.
 * @public
 * @param value - The value to encode to base64.
 * @returns The base64 encoded value.
 */
export declare const encodeToBase64: (value: string | ArrayBuffer) => string;
/**
 * Encodes the given value with a prefix to base64.
 * @remarks Prefixes are: 'str:' for string and 'bin:' for ArrayBuffer.
 * @public
 * @param value - The value to encode to base64.
 * @returns The base64 encoded value with a prefix.
 */
export declare const encodeToBase64WithPrefix: (value: string | ArrayBuffer) => string;
//# sourceMappingURL=encode.d.ts.map